Name:           gmp-ecm
Version:        6.2.3
Release:        1%{?dist}
Summary:        Elliptic Curve Method for Integer Factorization
Group:          Applications/Engineering
License:        LGPLv2+ and GPLv2+
URL:            http://gforge.inria.fr/projects/ecm/
# We have to get a new source URL every time the version changes, unfortunately.
# This means there's no reason to have %{version} in it.
Source0:        http://gforge.inria.fr/frs/download.php/22124/ecm-6.2.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gmp-devel
BuildRequires:  m4


%description
Programs and libraries employing elliptic curve method for factoring
integers (with GMP for arbitrary precision integers).


%package        devel
Summary:        Files useful for %{name} development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The libraries and header files for using %{name} for development.


%package        static
Summary:        Files used for static linking with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}


%description    static
The static libraries for using %{name} for development.


%prep
%setup -q -n ecm-%{version}
for badfile in README AUTHORS ; do
  iconv -f iso-8859-1 -t utf-8 $badfile > $badfile.UTF-8
  touch -r $badfile $badfile.UTF-8
  mv $badfile.UTF-8 $badfile
done


%build
%configure CFLAGS="%{optflags}" --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
pushd $RPM_BUILD_ROOT%{_bindir}
  mv ecm %{name}
popd
pushd $RPM_BUILD_ROOT%{_mandir}/man1
  for file in ecm.1*; do
    mv $file ${file/ecm/%{name}}
  done
popd


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LIB AUTHORS ChangeLog NEWS TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_libdir}/libecm.so.*


%files devel
%defattr(-,root,root,-)
%doc README.lib
%{_includedir}/ecm.h
%{_libdir}/libecm.so


%files static
%defattr(-,root,root,-)
%{_libdir}/libecm.a


%changelog
* Thu Apr 30 2009 Conrad Meyer <konrad@tylerc.org> - 6.2.3-1
- Bump to 6.2.3.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Conrad Meyer <konrad@tylerc.org> - 6.2.1-4
- Convert AUTHORS to utf-8 as well.
- Really bump release this time.

* Sat Nov 29 2008 Conrad Meyer <konrad@tylerc.org> - 6.2.1-3
- Add some %%docs.
- Add ldconfig (oops).
- Install binary and manpage under gmp-ecm, not ecm.

* Fri Nov 28 2008 Conrad Meyer <konrad@tylerc.org> - 6.2.1-2
- Change name.
- Split out a -static package and build shared libs for -devel.

* Wed Nov 26 2008 Conrad Meyer <konrad@tylerc.org> - 6.2.1-1
- Initial package.
